from dlpx.virtualization import libs
from dlpx.virtualization.platform import Plugin
from dlpx.virtualization.platform import Mount
from dlpx.virtualization.platform import MountSpecification
from generated.definitions import RepositoryDefinition, SnapshotDefinition, SourceConfigDefinition

plugin = Plugin()

@plugin.discovery.repository()
def repository_discovery(source_connection):
    repository = RepositoryDefinition('MongoDB Respository')
    return [repository]

@plugin.discovery.source_config()
def source_config_discovery(source_connection, repository):
    #
    # To have automatic discovery of source configs, return a list of
    # SourceConfigDefinitions similar to the list of
    # RepositoryDefinitions above.
    #
    return []
